### Method

# Aravis GvDevice get_ip_configuration_mode

since: 0.8.22

#### Declaration [src]

    ArvGvIpConfigurationMode
    arv_gv_device_get_ip_configuration_mode (
      ArvGvDevice* gv_device
      GError** error
    )

#### Description [src]

Get the IP address configuration mode.

Available since: 0.8.22

#### Return value

Type: `ArvGvIpConfigurationMode`

IP address configuration mode.